package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.RecordAuthMapper;
import com.lz.modules.flow.entity.RecordAuth;
import com.lz.modules.flow.service.RecordAuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
* <p>
* 审批权限表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/

@Service
public class RecordAuthServiceImpl extends ServiceImpl<RecordAuthMapper, RecordAuth> implements RecordAuthService {


    @Autowired
	private RecordAuthMapper recordAuthMapper;



	@Override
	public RecordAuth selectRecordAuthById(Long id){
		return recordAuthMapper.selectRecordAuthById(id);
	}



	@Override
	public Long insertRecordAuth(RecordAuth recordAuth){
		return recordAuthMapper.insertRecordAuth(recordAuth);
	}



	@Override
	public int updateRecordAuthById(RecordAuth recordAuth){
		return recordAuthMapper.updateRecordAuthById(recordAuth);
	}



	@Override
	public int updateCoverRecordAuthById(RecordAuth recordAuth){
		return recordAuthMapper.updateCoverRecordAuthById(recordAuth);
	}



	@Override
	public int deleteRecordAuthById(Long id){
		return recordAuthMapper.deleteRecordAuthById(id);
	}







}
